summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author hollywoodb2010-05-12 17:38:59 +0200
committer Robby Workman2010-05-12 17:38:59 +0200
commit5c32e959d9530f8aabc68bcd95ca84b27a150542 (patch)
tree8ddab4c93d23587f9c0c8c4d365303ee61624950 /development
parent2dde17da961329d3d10726cb8d59baab12de5c66 (diff)
downloadslackbuilds-5c32e959d9530f8aabc68bcd95ca84b27a150542.tar.gz
development/swig: Updated for version 1.3.38
Diffstat (limited to 'development')
-rw-r--r--development/swig/slack-desc6
-rw-r--r--development/swig/swig.SlackBuild16
-rw-r--r--development/swig/swig.info6
3 files changed, 17 insertions, 11 deletions
diff --git a/development/swig/slack-desc b/development/swig/slack-desc
index df8d53514b..189d275a26 100644
--- a/development/swig/slack-desc
+++ b/development/swig/slack-desc
@@ -6,13 +6,13 @@
# customary to leave one space after the ':'.
|-----handy-ruler--------------------------------------------------------|
-swig: swig (interface compiler to connect C/C++ with scripting languages)
+swig: swig (Simplified Wrapper and Interface Generator)
swig:
swig: SWIG is an interface compiler that connects programs written in C and
-swig: C++ with scripting languages such as Perl, Python, Ruby, and Tcl. It
+swig: C++ with scripting languages such as Perl, Python, Ruby, and Tcl. It
swig: works by taking the declarations found in C/C++ header files and using
swig: them to generate the wrapper code that scripting languages need to
-swig: access the underlying C/C++ code. In addition, SWIG provides a variety
+swig: access the underlying C/C++ code. In addition, SWIG provides a variety
swig: of customization features that let you tailor the wrapping process to
swig: suit your application.
swig:
diff --git a/development/swig/swig.SlackBuild b/development/swig/swig.SlackBuild
index 6c81bd3bd4..4b9dabf4c7 100644
--- a/development/swig/swig.SlackBuild
+++ b/development/swig/swig.SlackBuild
@@ -10,7 +10,7 @@
# Modified by the SlackBuilds.org project
PRGNAM=swig
-VERSION=1.3.35
+VERSION=1.3.38
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -22,10 +22,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -42,18 +45,21 @@ CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
--exec-prefix=/usr \
--sysconfdir=/etc \
--localstatedir=/var \
- --build=$ARCH-slackware-linux \
- --host=$ARCH-slackware-linux
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
diff --git a/development/swig/swig.info b/development/swig/swig.info
index 2ffabc210e..80aed36d17 100644
--- a/development/swig/swig.info
+++ b/development/swig/swig.info
@@ -1,8 +1,8 @@
PRGNAM="swig"
-VERSION="1.3.35"
+VERSION="1.3.38"
HOMEPAGE="http://www.swig.org/"
-DOWNLOAD="http://downloads.sourceforge.net/swig/swig-1.3.35.tar.gz"
-MD5SUM="9c2ca2332ebcdab55aa98518111d7cc9"
+DOWNLOAD="http://downloads.sourceforge.net/swig/swig-1.3.38.tar.gz"
+MD5SUM="650c774917be49c526a4f8a3e733c898"
MAINTAINER="hollywoodb"
EMAIL="hollywoodb@fastmail.fm"
APPROVED="rworkman"